        
        function nombre (){
                var num = $('#num').val();
                if(num.length<2)return;

                var parametros = {
                    "num" : num
                };
                $.ajax({
                data: parametros,
                url:   'nom_empleado.php',
                type:  'post',
                    success:  function (response) { 
                        if(response==0)
                            $('#nm').text("");
                        else
                            $('#nm').text(response);
                    }
                }); 
        }
        function completeupload(msg) {
			// extract URL out of PHP output
			console.log(msg);
                        if(msg==1){
                         
                          
                           webcam.reset();
                        }
		}
        
        $(document).ready(function(){
            $('#foto').html(webcam.get_html(320, 240)); 
                        
            $('#tk').click(function(){ 
                webcam.freeze();
                
            });
        
           $('.btn').click(function(){
                var num = $('#num').val();
                var salida = $(this).val();
$('#num').val('');
$('#over').show();
$('#over').focus();
                if(num==""){
                    notif({
                        msg: "Introduce n\u00FAmero de empleado",
                        type: "error",
                        position: "center",
                        timeout: 2000,
                    });
$('#over').hide();
                }
                else{
                    var parametros = {
                        "num" : num, 
                        "tipo" : salida
                    };
                    $.ajax({
                    data: parametros,
                    url:   'registro.php',
                    type:  'post',
                        success:  function (response) { 
                            if(response==3){
                            
                                  notif({
                                msg: "Salida Registrada, Descansa",
                                type: "success",
                                position: "center",
                                timeout: 2000, 
                            });
	 		  	   $('#nm').text(""); 
		                   $('#num').val("");
$('#over').hide();
	 			  webcam.snap();  
                            }else 
                            if(response==1){
                               
                                  notif({
                                msg: "Entrada Normal, Gracias por llegar temprano",
                                type: "success",
                                position: "center",
                                timeout: 2000,
                            });
                                  $('#nm').text(""); 
		                   $('#num').val("");
$('#over').hide();
	 			  webcam.snap();  
                            }else if (response==2){
                              $.ajax({
                                    data: parametros,
                                    url:   'sendmails.php',
                                    type:  'post',
                                        success:  function (response) { 
                                          
                                        }
                                });     
                                  notif({
                                                msg: "Entrada con Retardo, Esfuerzate mas",
                                                type: "success",
                                                position: "center",
                                             
                                            })   ;
 					$('#nm').text(""); 
		                   $('#num').val("");
$('#over').hide();
	 			  webcam.snap();   
                            }else
                            notif({
                                msg: "Intente nuevamente",
                                type: "error",
                                position: "center",
                                timeout: 2000,
                            });
$('#over').hide();
                        }
                    }); 
                }
 $('#num').focus();
                 return false;
            }); 
            
//            $('#pr').click(function(){
//                notif({
//                    msg: "\u00A1Gracias, Buen d\u00CDa!",
//                    type: "success",
//                    position: "centrado",
//                    timeout: 1000,
//                    width: 200
//                });
//            });
           
        });
       
